invites
Retrieves a list of bid package invites the requesting user has access to. By default, only invites sent by the requesting user’s company will be returned. This endpoint will additionally return invites on projects owned by external companies when the includeExternal parameter is provided.
An invite represents a solicitation sent to a potential bidder to bid on a bid package. Invites may include individuals from multiple companies, but the invite is “owned” by one company. Invites create opportunities on the bidder’s Bid Board when the bid package is published. A company invited on multiple bid packages will recieve multiple invites.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/construction/buildingconnected/v2/invites |
| Authentication Context | User context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
Request
Query String Parameters
| cursorState string | An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.
Omit this parameter to initiate a paginated request or to restart pagination. |
| limit int | The maximum number of records that the endpoint may return per page.
Note that a returned page may contain fewer records than the limit under either of these conditions:
Default value: |
| filter[projectId] array: string | Comma separated IDs of projects with which the objects returned in the response must be associated. |
| filter[bidPackageId] array: string | Comma separated IDs of bid packages with which the objects returned in the response must be associated. |
| filter[currentAccLinkedProjectId] string | The ID of a Forma project with which the objects returned in the response are associated with BuildingConnected projects that are linked to this Forma Project. |
| filter[bidderCompanyId] array: string | A comma separated list of bidder company Ids with which the objects returned in the response must be associated. |
| filter[updatedAt] string | The required range of dates and times during which the last update must have been made to the objects returned in the response, in ISO 8601 format.
A single date and time takes this format: |
| filter[createdAt] string | The required range of dates and times during which the objects returned in the response must have been created, in ISO 8601 format.
A single date and time takes this format: |
| filter[state] array: string | A comma separated list of states. Only invites with a state matching one in the list will be returned in the response. |
| includeExternal boolean | Whether to include invites from external companies in the response. Possible values: true: External invites are included. false: (Default) External invites are not included. Note that this filter can be used only with filter[currentAccLinkedProjectId] or filter[projectId] or filter[bidPackageId]. |
| includeTotalResults boolean | Indicates whether to include the total number of results (totalResults) in the paginated response. Enabling this may increase response time, particularly for large datasets. For better performance, it is recommended to use this parameter in combination with filters to limit the result set. |
| filter[projectName] string | The project name to search invites by. The projectName filter uses regex search. The projectName filter requires the bidderCompanyId filter to be set. The projectId filter and projectName filter cannot be used together. |
| searchText string | Search for invites whose project name or bid package name matches this text. It is case-insensitive and only matches from the start of a word. |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
| pagination object | The pagination details with total of a response. |
| limit int | The maximum number of records to return per page.
Note that a returned page may contain fewer records than the limit under either of these conditions:
|
| totalResults int | Optional. The total number of results that match the query irrespective of limit. |
| cursorState string | An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.
Omit this parameter to initiate a paginated request or to restart pagination. |
| nextUrl string | The URL path that returns the next page of data. |
| results array: object | The details of the returned BuildingConnected Pro invites created by the current user’s company. |
| id string | The unique invite ID. If this company is invited to a different bid package, an additional entry will be generated.
Max length: 24 |
| projectId string | The unique ID of the project with which the invite is associated.
Max length: 24 |
| projectName string | The name of the project with which the invite is associated. |
| bidPackageId string | The unique ID of the bid package that the invite is for.
Max length: 24 |
| bidPackageName string | The name of the bid package that the invite is for. |
| currentAccLinkedProjectId string | The project ID of the Forma project currently linked to from this invites’s BuildingConnected project. |
| bidderOfficeId string | The unique BuildingConnected office ID of the office that owns the invite.
Max length: 24 |
| bidderCompany object | Information about a company. |
| id string | The unique BuildingConnected ID of the company.
Max length: 24 |
| name string | The name of the company. |
| avatarImageUrl string | The cached imgix url for the avatar image of the company. |
| businessType array: string | The type of business carried out by the company. |
| website string | The company’s official website. |
| laborType array: string | Specifies the labor payment structure within the company, such as Non-Union or Prevailing Wages. |
| enterpriseType array: string | This has been deprecated and replaced with certificates. |
| companyTags array: string | A list of tags assigned by your organization to categorize this company. Note that this information is private to your organization and not visible to others. |
| certificates array: object | A collection of certificates held by the company. This field replaces the deprecated enterpriseType field. |
| id string | The unique identifier for each certificate. Companies can hold multiple certificates, each with its own ID. The field is null for pending certificate suggestions.
Max length: 24 |
| type object | Details about the specific type of certificate. |
| id string | The unique ID of the certificate type.
Max length: 24 |
| name string | The name of the certificate type. |
| agency object | Details about the agency that issued the certificate. |
| id string | The unique identifier for the certifying agency.
Max length: 24 |
| name string | The name of the certifying agency. |
| website string | The official website URL of the certifying agency. |
| number string | The certificate’s unique identification number. |
| expiresAt datetime: ISO 8601 | The date the certificate expires, in ISO 8601 format. |
| fileName string | The name of the digital copy of the certificate. |
| placeholderCompanyName string | Temporary company name used for unknown company.
This field is always Max length: 22000 |
| state enum:string | The current state of the invite. The default state is NOT_INVITED. Possible values:
|
| createdAt datetime: ISO 8601 | The date and time the bidder was included in the bid package, in ISO 8601 format. |
| updatedAt datetime: ISO 8601 | The date and time of the latest update to the invite, in ISO 8601 format. |
| invitedAt datetime: ISO 8601 | The date and time the invite was sent and the corresponding opportunity was created, in ISO 8601 format. |
| invitees array: object | A list of users who have been invited. Note that invitees may not all belong to the same company.
Max 500 invitees per invite. |
| id string | The invitee’s ID.
Max length: 24 |
| userId string | The unique BuildingConnected user ID of the invitee.
Max length: 24 |
| firstName string | The invitee’s first name. |
| lastName string | The invitee’s last name. |
| companyId string | The ID of the invitee’s company.
Max length: 24 |
| phoneNumber string | The invitee’s phone number. |
| title string | The invitee’s professional title. |
| email string | The invitee’s email address. |
| isEmailValid boolean | Indicates whether this invitee’s email address is considered valid.
|
| inviterType enum:string | The type of inviter sending the bid invitation. Possible values: HOST, BIDDER, PUBLIC. |
| state enum:string | The current state of the invitee. Possible values: NOT_INVITED (default), INVITED, VIEWED, REMOVED. |
| firstViewedAt datetime: ISO 8601 | The first time that the invitee viewed the invite. Default value is NULL. |
| lastViewedAt datetime: ISO 8601 | The last time that the invitee viewed the invite. Default value is NULL. |
| ndaSignedAt datetime: ISO 8601 | The time when the invitee signed the NDA, if the invitee has signed it. Default value is NULL. |
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/invites?filter[currentAccLinkedProjectId]=00f1b796-293a-4c1e-9474-f09711011426&filter[updatedAt]=2020-05-01T06:00:00.000Z..&filter[createdAt]=2020-05-01T06:00:00.000Z..' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"pagination": {
"limit": 100,
"totalResults": 100,
"cursorState": "eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9",
"nextUrl": "https://developer.api.autodesk.com/construction/buildingconnected/v2/projects?cursorState=eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9"
},
"results": [
{
"id": "590dd527b359f408f191b5b6",
"projectId": "59d2bd7440b36a0da258f24d",
"projectName": "Chase Center Arena",
"bidPackageId": "590dd127b359f408f190b5a7",
"bidPackageName": "Electrical",
"currentAccLinkedProjectId": "00f1b796-293a-4c1e-9474-f09711011426",
"bidderOfficeId": "57d2bd7450b37a0c52585d2a",
"bidderCompany": {
"id": "51bea397f5846f95994b1da7",
"name": "Gr8 Builders",
"avatarImageUrl": "https://www.example.com/",
"businessType": [
"Subcontractor"
],
"website": "https://www.example.com",
"laborType": [
"Union"
],
"enterpriseType": [
"Disadvantaged Business Enterprise (DBE)"
],
"companyTags": [
"example_tag"
],
"certificates": [
{
"id": "627074db25c97830ad3ea8c8",
"type": {
"id": "59d2bd7440b36a0da258f24d",
"name": "Disadvantaged Business Enterprise (DBE)"
},
"agency": {
"id": "611d794f7f063800a7274d46",
"name": "United States Department of Transportation",
"website": "https://www.transportation.gov/civil-rights/disadvantaged-business-enterprise"
},
"number": "12345",
"expiresAt": "2014-10-03T19:00:00.000Z",
"fileName": "certificate.pdf"
}
]
},
"placeholderCompanyName": null,
"state": "UNDECIDED",
"createdAt": "2014-09-25T20:00:00.000Z",
"updatedAt": "2014-09-25T21:00:00.000Z",
"invitedAt": "2014-09-25T20:30:00.000Z",
"invitees": [
{
"id": "5cfe43c079b25e7dcafc104d",
"userId": "5bff41c079b25e7ccebc202e",
"firstName": "First",
"lastName": "Last",
"companyId": "51bea397f5846f95994b1da7",
"phoneNumber": "555-555-5555",
"title": "Estimator",
"email": "someone@gmail.com",
"isEmailValid": true,
"inviterType": "HOST",
"state": "INVITED",
"firstViewedAt": "2021-01-08T13:00:00.000Z",
"lastViewedAt": "2021-01-10T09:00:00.000Z",
"ndaSignedAt": null
}
]
}
]
}